> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/by-pillar/order-management/audits/audits-endpoints.md).

# Audits endpoints

## The AuditSearchPayload object

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"components":{"schemas":{"AuditSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"allOf":[{"$ref":"#/components/schemas/SearchOptions"}],"description":"Additional options for the search request."},"query":{"$ref":"#/components/schemas/AuditSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/AuditSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"AuditSearchPayload","type":"object","description":"AuditSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"AuditSearchQuery":{"properties":{"and":{"description":"Matches if all of the given queries match. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/AuditSearchQuery"},"maxItems":500,"type":"array"},"entityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by entityRef"},"entityType":{"allOf":[{"$ref":"#/components/schemas/AuditedEntityTypeEnumFilter"}],"description":"Search by entityType"},"or":{"description":"Matches if at least one of the given queries matches. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/AuditSearchQuery"},"maxItems":500,"type":"array"},"trace":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by trace"}},"title":"AuditSearchQuery","type":"object","description":"AuditSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","maxLength":256,"type":"string"},"notIn":{"description":"Matches all values not contained in the given list, including entities where the field is not set","items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"AuditedEntityTypeEnumFilter":{"properties":{"eq":{"description":"Search by entityType","enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"},"in":{"description":"Search by entityType","items":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by entityType","enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"}},"title":"AuditedEntityTypeEnumFilter","type":"object","description":"AuditedEntityTypeEnumFilter"},"AuditSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"}},"title":"AuditSort","type":"object","description":"AuditSort"}}}}
```

## List audits (search)

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for Audit

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to help determine who did what when.","name":"Audits"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AuditSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"allOf":[{"$ref":"#/components/schemas/SearchOptions"}],"description":"Additional options for the search request."},"query":{"$ref":"#/components/schemas/AuditSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/AuditSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"AuditSearchPayload","type":"object","description":"AuditSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"AuditSearchQuery":{"properties":{"and":{"description":"Matches if all of the given queries match. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/AuditSearchQuery"},"maxItems":500,"type":"array"},"entityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by entityRef"},"entityType":{"allOf":[{"$ref":"#/components/schemas/AuditedEntityTypeEnumFilter"}],"description":"Search by entityType"},"or":{"description":"Matches if at least one of the given queries matches. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/AuditSearchQuery"},"maxItems":500,"type":"array"},"trace":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by trace"}},"title":"AuditSearchQuery","type":"object","description":"AuditSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","maxLength":256,"type":"string"},"notIn":{"description":"Matches all values not contained in the given list, including entities where the field is not set","items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"AuditedEntityTypeEnumFilter":{"properties":{"eq":{"description":"Search by entityType","enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"},"in":{"description":"Search by entityType","items":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by entityType","enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"}},"title":"AuditedEntityTypeEnumFilter","type":"object","description":"AuditedEntityTypeEnumFilter"},"AuditSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"}},"title":"AuditSort","type":"object","description":"AuditSort"},"AuditPaginatedResult":{"properties":{"audits":{"items":{"$ref":"#/components/schemas/Audit"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","audits"],"title":"AuditPaginatedResult","type":"object","description":"AuditPaginatedResult"},"Audit":{"properties":{"actor":{"$ref":"#/components/schemas/AuditActor"},"additionalInfo":{"allOf":[{"$ref":"#/components/schemas/AuditAdditionalInfo"}],"description":"Additional information about the audited operation"},"anonymizationDate":{"format":"date-time","type":"string"},"client":{"$ref":"#/components/schemas/AuditClient"},"created":{"description":"Creation date of the entity, auto-generated if not provided","format":"date-time","type":"string"},"deletionDate":{"format":"date-time","type":"string"},"entityCreated":{"format":"date-time","type":"string"},"entityRef":{"type":"string"},"entityType":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB","EXPORT"],"type":"string"},"entityVersion":{"type":"number"},"eventId":{"type":"string"},"globalActor":{"$ref":"#/components/schemas/AuditActor"},"id":{"type":"string"},"isAnonymized":{"type":"boolean"},"lastModified":{"description":"Service-generated last modification date of the entity","format":"date-time","type":"string"},"operation":{"$ref":"#/components/schemas/AuditOperation"},"trace":{"type":"string"},"version":{"description":"The version of the entity, used for optimistic locking mechanisms","type":"number"}},"required":["id","eventId","entityRef","entityType","entityVersion","isAnonymized","entityCreated","deletionDate","anonymizationDate","trace","actor","globalActor","client","operation","version"],"title":"Audit","type":"object","description":"Audit"},"AuditActor":{"properties":{"details":{"$ref":"#/components/schemas/AuditActorDetails"},"id":{"type":"string"}},"required":["id","details"],"title":"AuditActor","type":"object","description":"AuditActor"},"AuditActorDetails":{"properties":{"topic":{"type":"string"},"username":{"type":"string"}},"required":["topic","username"],"title":"AuditActorDetails","type":"object","description":"AuditActorDetails"},"AuditAdditionalInfo":{"properties":{"export":{"allOf":[{"$ref":"#/components/schemas/AuditExportInfo"}],"description":"Only present for audits of entity type EXPORT"}},"title":"AuditAdditionalInfo","type":"object","description":"AuditAdditionalInfo"},"AuditExportInfo":{"properties":{"rowCount":{"description":"The number of exported rows","minimum":0,"type":"number"},"type":{"description":"The query the export is derived from","enum":["PROCESS_AGGREGATE"],"type":"string"},"usedConfiguration":{"additionalProperties":true,"description":"The configuration the export was created with. Removed when the audit is anonymized","type":"object"}},"required":["type","rowCount"],"title":"AuditExportInfo","type":"object","description":"AuditExportInfo"},"AuditClient":{"properties":{"api":{"type":"string"},"rawInfo":{"type":"string"}},"required":["api","rawInfo"],"title":"AuditClient","type":"object","description":"AuditClient"},"AuditOperation":{"properties":{"name":{"type":"string"},"start":{"format":"date-time","type":"string"}},"required":["name","start"],"title":"AuditOperation","type":"object","description":"AuditOperation"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/audits/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for Audit","operationId":"searchAudit","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List audits (search)","tags":["Audits"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/order-management/audits/audits-endpoints.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
